# Uses of Class
java.text.CollationKey

Packages that use CollationKey
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.

## Uses of CollationKey in java.text

Classes in java.text that implement interfaces with type arguments of type CollationKey
Modifier and Type
Class
Description
`class`
`CollationKey`
A `CollationKey` represents a `String` under the rules of a specific `Collator` object.
Methods in java.text that return CollationKey
Modifier and Type
Method
Description
`abstract CollationKey`
Collator.`getCollationKey(String source)`
Transforms the String into a series of bits that can be compared bitwise to other CollationKeys.
`CollationKey`
RuleBasedCollator.`getCollationKey(String source)`
Transforms the string into a series of characters that can be compared with CollationKey.compareTo.
Methods in java.text with parameters of type CollationKey
Modifier and Type
Method
Description
`abstract int`
CollationKey.`compareTo(CollationKey target)`
Compare this CollationKey to the target CollationKey.